WPS4TextInternal::FontName Struct Reference

Internal: class to store a font name: name with encoding type. More...

## Public Member Functions

| FontName (int version=4)
| constructor with file's version to define the default encoding */ More...
bool | isSet () const
| checks if the font name is set More...

## Static Public Member Functions

static std::string | getDosName (int id)
| returns the default dos name corresponding to id th font More...

## Public Attributes

std::string | m_name
| font name More...
libwps_tools_win::Font::Type | m_type
| font encoding type More...

## Friends

std::ostream & | operator<< (std::ostream &o, FontName const &ft)
| operator<< More...

## Detailed Description

Internal: class to store a font name: name with encoding type.

## Constructor & Destructor Documentation

WPS4TextInternal::FontName::FontName | ( | int | version = `4` | ) |

inline

constructor with file's version to define the default encoding */

## Member Function Documentation

std::string WPS4TextInternal::FontName::getDosName | ( | int | id | ) |

static

returns the default dos name corresponding to id th font

Referenced by WPS4Text::readFont().

bool WPS4TextInternal::FontName::isSet | ( |  | ) | const

inline

checks if the font name is set

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FontName const & | ft
| ) |  |

friend

operator<<

## Member Data Documentation

std::string WPS4TextInternal::FontName::m_name

font name

Referenced by isSet(), WPS4TextInternal::operator<<(), and WPS4Text::readFontNames().

libwps_tools_win::Font::Type WPS4TextInternal::FontName::m_type

font encoding type

Referenced by FontName(), WPS4TextInternal::operator<<(), and WPS4Text::readFontNames().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp